clc;
clear all; 

% %Load dataset
GO01 = load('GO01.mat');
GO01C = load('GO01C.mat');
GO02C = load('GO02C.mat');
GO03C = load('GO03C.mat');
GO04C = load('GO04C.mat');
GO05 = load('GO05.mat');
GO05C = load('GO05C.mat');
GO06 = load('GO06.mat');
GO09 = load('GO09.mat');
GO17 = load('GO17.mat');
GO18 = load('GO18.mat');
GO19 = load('GO19.mat');
GO22 = load('GO22.mat');
GOC11 = load('GOC11.mat');
GOC12 = load('GOC12.mat');
GOC13 = load('GOC13.mat');
GOC14 = load('GOC14.mat');
GOC15 = load('GOC15.mat');
GOC16 = load('GOC16.mat');
GOC17 = load('GOC17.mat');
GOC18 = load('GOC18.mat');
GOC19 = load('GOC19.mat');
GOC20 = load('GOC20.mat');

%Choose samples
start = 7705601;
stop = 7707600;

%Samples
GO01_ae1_data = GO01.testPoint.data(1).vData.ch(1).data(start:stop);  
GO01C_ae1_data = GO01C.testPoint.data(1).vData.ch(1).data(start:stop);  
GO02C_ae1_data = GO02C.testPoint.data(1).vData.ch(1).data(start:stop);  
GO03C_ae1_data = GO03C.testPoint.data(1).vData.ch(1).data(start:stop);  
GO04C_ae1_data = GO04C.testPoint.data(1).vData.ch(1).data(start:stop);  
GO05_ae1_data = GO05.testPoint.data(1).vData.ch(1).data(start:stop);  
GO05C_ae1_data = GO05C.testPoint.data(1).vData.ch(1).data(start:stop);  
GO06_ae1_data = GO06.testPoint.data(1).vData.ch(1).data(start:stop);  
GO09_ae1_data = GO09.testPoint.data(1).vData.ch(1).data(start:stop);  
GO17_ae1_data = GO17.testPoint.data(1).vData.ch(1).data(start:stop);  
GO18_ae1_data = GO18.testPoint.data(1).vData.ch(1).data(start:stop);  
GO19_ae1_data = GO19.testPoint.data(1).vData.ch(1).data(start:stop);  
GO22_ae1_data = GO22.testPoint.data(1).vData.ch(1).data(start:stop);  
GOC11_ae1_data = GOC11.testPoint.data(1).vData.ch(1).data(start:stop);
GOC12_ae1_data = GOC12.testPoint.data(1).vData.ch(1).data(start:stop);
GOC13_ae1_data = GOC13.testPoint.data(1).vData.ch(1).data(start:stop);
GOC14_ae1_data = GOC14.testPoint.data(1).vData.ch(1).data(start:stop);
GOC15_ae1_data = GOC15.testPoint.data(1).vData.ch(1).data(start:stop);
GOC16_ae1_data = GOC16.testPoint.data(1).vData.ch(1).data(start:stop);
GOC17_ae1_data = GOC17.testPoint.data(1).vData.ch(1).data(start:stop);
GOC18_ae1_data = GOC18.testPoint.data(1).vData.ch(1).data(start:stop);
GOC19_ae1_data = GOC19.testPoint.data(1).vData.ch(1).data(start:stop);
GOC20_ae1_data = GOC20.testPoint.data(1).vData.ch(1).data(start:stop);
GO01_ae3_data = GO01.testPoint.data(1).vData.ch(3).data(start:stop);  
GO01C_ae3_data = GO01C.testPoint.data(1).vData.ch(3).data(start:stop);  
GO02C_ae3_data = GO02C.testPoint.data(1).vData.ch(3).data(start:stop);  
GO03C_ae3_data = GO03C.testPoint.data(1).vData.ch(3).data(start:stop);  
GO04C_ae3_data = GO04C.testPoint.data(1).vData.ch(3).data(start:stop);  
GO05_ae3_data = GO05.testPoint.data(1).vData.ch(3).data(start:stop);  
GO05C_ae3_data = GO05C.testPoint.data(1).vData.ch(3).data(start:stop);  
GO06_ae3_data = GO06.testPoint.data(1).vData.ch(3).data(start:stop);  
GO09_ae3_data = GO09.testPoint.data(1).vData.ch(3).data(start:stop);  
GO17_ae3_data = GO17.testPoint.data(1).vData.ch(3).data(start:stop);  
GO18_ae3_data = GO18.testPoint.data(1).vData.ch(3).data(start:stop);  
GO19_ae3_data = GO19.testPoint.data(1).vData.ch(3).data(start:stop);  
GO22_ae3_data = GO22.testPoint.data(1).vData.ch(3).data(start:stop);  
GOC11_ae3_data = GOC11.testPoint.data(1).vData.ch(3).data(start:stop);
GOC12_ae3_data = GOC12.testPoint.data(1).vData.ch(3).data(start:stop);
GOC13_ae3_data = GOC13.testPoint.data(1).vData.ch(3).data(start:stop);
GOC14_ae3_data = GOC14.testPoint.data(1).vData.ch(3).data(start:stop);
GOC15_ae3_data = GOC15.testPoint.data(1).vData.ch(3).data(start:stop);
GOC16_ae3_data = GOC16.testPoint.data(1).vData.ch(3).data(start:stop);
GOC17_ae3_data = GOC17.testPoint.data(1).vData.ch(3).data(start:stop);
GOC18_ae3_data = GOC18.testPoint.data(1).vData.ch(3).data(start:stop);
GOC19_ae3_data = GOC19.testPoint.data(1).vData.ch(3).data(start:stop);
GOC20_ae3_data = GOC20.testPoint.data(1).vData.ch(3).data(start:stop);
GO01_ae4_data = GO01.testPoint.data(1).vData.ch(4).data(start:stop);  
GO01C_ae4_data = GO01C.testPoint.data(1).vData.ch(4).data(start:stop);  
GO02C_ae4_data = GO02C.testPoint.data(1).vData.ch(4).data(start:stop);  
GO03C_ae4_data = GO03C.testPoint.data(1).vData.ch(4).data(start:stop);  
GO04C_ae4_data = GO04C.testPoint.data(1).vData.ch(4).data(start:stop);  
GO05_ae4_data = GO05.testPoint.data(1).vData.ch(4).data(start:stop);  
GO05C_ae4_data = GO05C.testPoint.data(1).vData.ch(4).data(start:stop);  
GO06_ae4_data = GO06.testPoint.data(1).vData.ch(4).data(start:stop);  
GO09_ae4_data = GO09.testPoint.data(1).vData.ch(4).data(start:stop);  
GO17_ae4_data = GO17.testPoint.data(1).vData.ch(4).data(start:stop);  
GO18_ae4_data = GO18.testPoint.data(1).vData.ch(4).data(start:stop);  
GO19_ae4_data = GO19.testPoint.data(1).vData.ch(4).data(start:stop);  
GO22_ae4_data = GO22.testPoint.data(1).vData.ch(4).data(start:stop);  
GOC11_ae4_data = GOC11.testPoint.data(1).vData.ch(4).data(start:stop);
GOC12_ae4_data = GOC12.testPoint.data(1).vData.ch(4).data(start:stop);
GOC13_ae4_data = GOC13.testPoint.data(1).vData.ch(4).data(start:stop);
GOC14_ae4_data = GOC14.testPoint.data(1).vData.ch(4).data(start:stop);
GOC15_ae4_data = GOC15.testPoint.data(1).vData.ch(4).data(start:stop);
GOC16_ae4_data = GOC16.testPoint.data(1).vData.ch(4).data(start:stop);
GOC17_ae4_data = GOC17.testPoint.data(1).vData.ch(4).data(start:stop);
GOC18_ae4_data = GOC18.testPoint.data(1).vData.ch(4).data(start:stop);
GOC19_ae4_data = GOC19.testPoint.data(1).vData.ch(4).data(start:stop);
GOC20_ae4_data = GOC20.testPoint.data(1).vData.ch(4).data(start:stop);

% %Calculate RMS
GO01_ae1_rms = rms(GO01_ae1_data);  
GO01C_ae1_rms = rms(GO01C_ae1_data);  
GO02C_ae1_rms = rms(GO02C_ae1_data);  
GO03C_ae1_rms = rms(GO03C_ae1_data);  
GO04C_ae1_rms = rms(GO04C_ae1_data);  
GO05_ae1_rms = rms(GO05_ae1_data);  
GO05C_ae1_rms = rms(GO05C_ae1_data);  
GO06_ae1_rms = rms(GO06_ae1_data);  
GO09_ae1_rms = rms(GO09_ae1_data);  
GO17_ae1_rms = rms(GO17_ae1_data);  
GO18_ae1_rms = rms(GO18_ae1_data);  
GO19_ae1_rms = rms(GO19_ae1_data);  
GO22_ae1_rms = rms(GO22_ae1_data);  
GOC11_ae1_rms = rms(GOC11_ae1_data);
GOC12_ae1_rms = rms(GOC12_ae1_data);
GOC13_ae1_rms = rms(GOC13_ae1_data);
GOC14_ae1_rms = rms(GOC14_ae1_data);
GOC15_ae1_rms = rms(GOC15_ae1_data);
GOC16_ae1_rms = rms(GOC16_ae1_data);
GOC17_ae1_rms = rms(GOC17_ae1_data);
GOC18_ae1_rms = rms(GOC18_ae1_data);
GOC19_ae1_rms = rms(GOC19_ae1_data);
GOC20_ae1_rms = rms(GOC20_ae1_data);
GO01_ae3_rms = rms(GO01_ae3_data);  
GO01C_ae3_rms = rms(GO01C_ae3_data);  
GO02C_ae3_rms = rms(GO02C_ae3_data);  
GO03C_ae3_rms = rms(GO03C_ae3_data);  
GO04C_ae3_rms = rms(GO04C_ae3_data);  
GO05_ae3_rms = rms(GO05_ae3_data);  
GO05C_ae3_rms = rms(GO05C_ae3_data);  
GO06_ae3_rms = rms(GO06_ae3_data); 
GO09_ae3_rms = rms(GO09_ae3_data); 
GO17_ae3_rms = rms(GO17_ae3_data); 
GO18_ae3_rms = rms(GO18_ae3_data); 
GO19_ae3_rms = rms(GO19_ae3_data); 
GO22_ae3_rms = rms(GO22_ae3_data); 
GOC11_ae3_rms = rms(GOC11_ae3_data); 
GOC12_ae3_rms = rms(GOC12_ae3_data); 
GOC13_ae3_rms = rms(GOC13_ae3_data); 
GOC14_ae3_rms = rms(GOC14_ae3_data); 
GOC15_ae3_rms = rms(GOC15_ae3_data); 
GOC16_ae3_rms = rms(GOC16_ae3_data); 
GOC17_ae3_rms = rms(GOC17_ae3_data); 
GOC18_ae3_rms = rms(GOC18_ae3_data); 
GOC19_ae3_rms = rms(GOC19_ae3_data); 
GOC20_ae3_rms = rms(GOC20_ae3_data); 
GO01_ae4_rms = rms(GO01_ae4_data); 
GO01C_ae4_rms = rms(GO01C_ae4_data); 
GO02C_ae4_rms = rms(GO02C_ae4_data); 
GO03C_ae4_rms = rms(GO03C_ae4_data); 
GO04C_ae4_rms = rms(GO04C_ae4_data);  
GO05_ae4_rms = rms(GO05_ae4_data);  
GO05C_ae4_rms = rms(GO05C_ae4_data);   
GO06_ae4_rms = rms(GO06_ae4_data); 
GO09_ae4_rms = rms(GO09_ae4_data);  
GO17_ae4_rms = rms(GO17_ae4_data); 
GO18_ae4_rms = rms(GO18_ae4_data);  
GO19_ae4_rms = rms(GO19_ae4_data);  
GO22_ae4_rms = rms(GO22_ae4_data);  
GOC11_ae4_rms = rms(GOC11_ae4_data); 
GOC12_ae4_rms = rms(GOC12_ae4_data); 
GOC13_ae4_rms = rms(GOC13_ae4_data); 
GOC14_ae4_rms = rms(GOC14_ae4_data); 
GOC15_ae4_rms = rms(GOC15_ae4_data); 
GOC16_ae4_rms = rms(GOC16_ae4_data); 
GOC17_ae4_rms = rms(GOC17_ae4_data); 
GOC18_ae4_rms = rms(GOC18_ae4_data); 
GOC19_ae4_rms = rms(GOC19_ae4_data); 
GOC20_ae4_rms = rms(GOC20_ae4_data); 

%Make lists of acoustic measurements
GO_ae1_data = [GO01_ae1_data; GO01C_ae1_data; GO02C_ae1_data; GO03C_ae1_data; GO04C_ae1_data; GO05_ae1_data; GO05C_ae1_data; GO06_ae1_data; GO09_ae1_data; GO17_ae1_data; GO18_ae1_data; GO19_ae1_data; GO22_ae1_data; GOC11_ae1_data; GOC12_ae1_data; GOC13_ae1_data; GOC14_ae1_data; GOC15_ae1_data; GOC16_ae1_data; GOC17_ae1_data; GOC18_ae1_data; GOC19_ae1_data; GOC20_ae1_data];
GO_ae3_data = [GO01_ae3_data; GO01C_ae3_data; GO02C_ae3_data; GO03C_ae3_data; GO04C_ae3_data; GO05_ae3_data; GO05C_ae3_data; GO06_ae3_data; GO09_ae3_data; GO17_ae3_data; GO18_ae3_data; GO19_ae3_data; GO22_ae3_data; GOC11_ae3_data; GOC12_ae3_data; GOC13_ae3_data; GOC14_ae3_data; GOC15_ae3_data; GOC16_ae3_data; GOC17_ae3_data; GOC18_ae3_data; GOC19_ae3_data; GOC20_ae3_data];
GO_ae4_data = [GO01_ae4_data; GO01C_ae4_data; GO02C_ae4_data; GO03C_ae4_data; GO04C_ae4_data; GO05_ae4_data; GO05C_ae4_data; GO06_ae4_data; GO09_ae4_data; GO17_ae4_data; GO18_ae4_data; GO19_ae4_data; GO22_ae4_data; GOC11_ae4_data; GOC12_ae4_data; GOC13_ae4_data; GOC14_ae4_data; GOC15_ae4_data; GOC16_ae4_data; GOC17_ae4_data; GOC18_ae4_data; GOC19_ae4_data; GOC20_ae4_data];
GO_ae1_rms = [GO01_ae1_rms GO01C_ae1_rms GO02C_ae1_rms GO03C_ae1_rms GO04C_ae1_rms GO05_ae1_rms GO05C_ae1_rms GO06_ae1_rms GO09_ae1_rms GO17_ae1_rms GO18_ae1_rms GO19_ae1_rms GO22_ae1_rms GOC11_ae1_rms GOC12_ae1_rms GOC13_ae1_rms GOC14_ae1_rms GOC15_ae1_rms GOC16_ae1_rms GOC17_ae1_rms GOC18_ae1_rms GOC19_ae1_rms GOC20_ae1_rms];
GO_ae3_rms = [GO01_ae3_rms GO01C_ae3_rms GO02C_ae3_rms GO03C_ae3_rms GO04C_ae3_rms GO05_ae3_rms GO05C_ae3_rms GO06_ae3_rms GO09_ae3_rms GO17_ae3_rms GO18_ae3_rms GO19_ae3_rms GO22_ae3_rms GOC11_ae3_rms GOC12_ae3_rms GOC13_ae3_rms GOC14_ae3_rms GOC15_ae3_rms GOC16_ae3_rms GOC17_ae3_rms GOC18_ae3_rms GOC19_ae3_rms GOC20_ae3_rms];
GO_ae4_rms = [GO01_ae4_rms GO01C_ae4_rms GO02C_ae4_rms GO03C_ae4_rms GO04C_ae4_rms GO05_ae4_rms GO05C_ae4_rms GO06_ae4_rms GO09_ae4_rms GO17_ae4_rms GO18_ae4_rms GO19_ae4_rms GO22_ae4_rms GOC11_ae4_rms GOC12_ae4_rms GOC13_ae4_rms GOC14_ae4_rms GOC15_ae4_rms GOC16_ae4_rms GOC17_ae4_rms GOC18_ae4_rms GOC19_ae4_rms GOC20_ae4_rms];

%Make lists of flow measurements
GO_Oref_Qv = [GO01.testPoint.oilRef.q GO01C.testPoint.oilRef.q GO02C.testPoint.oilRef.q GO03C.testPoint.oilRef.q GO04C.testPoint.oilRef.q GO05.testPoint.oilRef.q GO05C.testPoint.oilRef.q GO06.testPoint.oilRef.q GO09.testPoint.oilRef.q GO17.testPoint.oilRef.q GO18.testPoint.oilRef.q GO19.testPoint.oilRef.q  GO22.testPoint.oilRef.q  GOC11.testPoint.oilRef.q  GOC12.testPoint.oilRef.q  GOC13.testPoint.oilRef.q  GOC14.testPoint.oilRef.q  GOC15.testPoint.oilRef.q  GOC16.testPoint.oilRef.q  GOC17.testPoint.oilRef.q  GOC18.testPoint.oilRef.q  GOC19.testPoint.oilRef.q  GOC20.testPoint.oilRef.q];
GO_Gref_Qv = [10.48, 54.00, 47.31, 43.00, 33.02, 50.55, 24.55, 99.06, 95.70, 83.64, 86.51, 98.42, 101.72, 5.30, 4.74, 16.34, 15.58, 20.43, 20.05, 20.18, 40.61, 40.81, 41.72];
GO_Wref_Qv = [GO01.testPoint.watRef.q  GO01C.testPoint.watRef.q GO02C.testPoint.watRef.q GO03C.testPoint.watRef.q GO04C.testPoint.watRef.q GO05.testPoint.watRef.q GO05C.testPoint.watRef.q GO06.testPoint.watRef.q GO09.testPoint.watRef.q GO17.testPoint.watRef.q GO18.testPoint.watRef.q GO19.testPoint.watRef.q  GO22.testPoint.watRef.q  GOC11.testPoint.watRef.q  GOC12.testPoint.watRef.q  GOC13.testPoint.watRef.q  GOC14.testPoint.watRef.q  GOC15.testPoint.watRef.q  GOC16.testPoint.watRef.q  GOC17.testPoint.watRef.q  GOC18.testPoint.watRef.q  GOC19.testPoint.watRef.q  GOC20.testPoint.watRef.q];

%GO_Gref_Qv = [GO01.gasRef.q GO01C.gasRef.q GO02C.gasRef.q GO03C.gasRef.q GO04C.gasRef.q GO05.gasRef.q GO05C.gasRef.q GO06.gasRef.q GO09.gasRef.q GO17.gasRef.q GO18.gasRef.q GO19.gasRef.q GO22.gasRef.q GOC11.gasRef.q GOC12.gasRef.q GOC13.gasRef.q GOC14.gasRef.q GOC15.gasRef.q GOC16.gasRef.q GOC17.gasRef.q GOC18.gasRef.q GOC19.gasRef.q GOC20.gasRef.q]

%Make lists of valve positions and pressure measurements
GO_HIC = [GO01.testPoint.HIC.pos GO01C.testPoint.HIC.pos GO02C.testPoint.HIC.pos GO03C.testPoint.HIC.pos GO04C.testPoint.HIC.pos GO05.testPoint.HIC.pos GO05C.testPoint.HIC.pos GO06.testPoint.HIC.pos GO09.testPoint.HIC.pos GO17.testPoint.HIC.pos GO18.testPoint.HIC.pos GO19.testPoint.HIC.pos GO22.testPoint.HIC.pos GOC11.testPoint.HIC.pos GOC12.testPoint.HIC.pos GOC13.testPoint.HIC.pos GOC14.testPoint.HIC.pos GOC15.testPoint.HIC.pos GOC16.testPoint.HIC.pos GOC17.testPoint.HIC.pos GOC18.testPoint.HIC.pos GOC19.testPoint.HIC.pos GOC20.testPoint.HIC.pos];
GO_Pi = [GO01.testPoint.press.in GO01C.testPoint.press.in GO02C.testPoint.press.in GO03C.testPoint.press.in GO04C.testPoint.press.in GO05.testPoint.press.in GO05C.testPoint.press.in GO06.testPoint.press.in GO09.testPoint.press.in GO17.testPoint.press.in GO18.testPoint.press.in GO19.testPoint.press.in GO22.testPoint.press.in GOC11.testPoint.press.in GOC12.testPoint.press.in GOC13.testPoint.press.in GOC14.testPoint.press.in GOC15.testPoint.press.in GOC16.testPoint.press.in GOC17.testPoint.press.in GOC18.testPoint.press.in GOC19.testPoint.press.in GOC20.testPoint.press.in];
GO_Po = [GO01.testPoint.press.out GO01C.testPoint.press.out GO02C.testPoint.press.out GO03C.testPoint.press.out GO04C.testPoint.press.out GO05.testPoint.press.out GO05C.testPoint.press.out GO06.testPoint.press.out GO09.testPoint.press.out GO17.testPoint.press.out GO18.testPoint.press.out GO19.testPoint.press.out GO22.testPoint.press.out GOC11.testPoint.press.out GOC12.testPoint.press.out GOC13.testPoint.press.out GOC14.testPoint.press.out GOC15.testPoint.press.out GOC16.testPoint.press.out GOC17.testPoint.press.out GOC18.testPoint.press.out GOC19.testPoint.press.out GOC20.testPoint.press.out];
GO_wikaDp1 = [GO01.testPoint.Wika.dp1 GO01C.testPoint.Wika.dp1 GO02C.testPoint.Wika.dp1 GO03C.testPoint.Wika.dp1 GO04C.testPoint.Wika.dp1 GO05.testPoint.Wika.dp1 GO05C.testPoint.Wika.dp1 GO06.testPoint.Wika.dp1 GO09.testPoint.Wika.dp1 GO17.testPoint.Wika.dp1 GO18.testPoint.Wika.dp1 GO19.testPoint.Wika.dp1 GO22.testPoint.Wika.dp1 GOC11.testPoint.Wika.dp1 GOC12.testPoint.Wika.dp1 GOC13.testPoint.Wika.dp1 GOC14.testPoint.Wika.dp1 GOC15.testPoint.Wika.dp1 GOC16.testPoint.Wika.dp1 GOC17.testPoint.Wika.dp1 GOC18.testPoint.Wika.dp1 GOC19.testPoint.Wika.dp1 GOC20.testPoint.Wika.dp1];
GO_wikaDp2 = [GO01.testPoint.Wika.dp2 GO01C.testPoint.Wika.dp1 GO02C.testPoint.Wika.dp2 GO03C.testPoint.Wika.dp2 GO04C.testPoint.Wika.dp2 GO05.testPoint.Wika.dp2 GO05C.testPoint.Wika.dp2 GO06.testPoint.Wika.dp2 GO09.testPoint.Wika.dp2 GO17.testPoint.Wika.dp2 GO18.testPoint.Wika.dp2 GO19.testPoint.Wika.dp2 GO22.testPoint.Wika.dp2 GOC11.testPoint.Wika.dp2 GOC12.testPoint.Wika.dp2 GOC13.testPoint.Wika.dp2 GOC14.testPoint.Wika.dp2 GOC15.testPoint.Wika.dp2 GOC16.testPoint.Wika.dp2 GOC17.testPoint.Wika.dp2 GOC18.testPoint.Wika.dp2 GOC19.testPoint.Wika.dp2 GOC20.testPoint.Wika.dp2];
GO_wikaDp3 = [GO01.testPoint.Wika.dp3 GO01C.testPoint.Wika.dp1 GO02C.testPoint.Wika.dp3 GO03C.testPoint.Wika.dp3 GO04C.testPoint.Wika.dp3 GO05.testPoint.Wika.dp3 GO05C.testPoint.Wika.dp3 GO06.testPoint.Wika.dp3 GO09.testPoint.Wika.dp3 GO17.testPoint.Wika.dp3 GO18.testPoint.Wika.dp3 GO19.testPoint.Wika.dp3 GO22.testPoint.Wika.dp3 GOC11.testPoint.Wika.dp3 GOC12.testPoint.Wika.dp3 GOC13.testPoint.Wika.dp3 GOC14.testPoint.Wika.dp3 GOC15.testPoint.Wika.dp3 GOC16.testPoint.Wika.dp3 GOC17.testPoint.Wika.dp3 GOC18.testPoint.Wika.dp3 GOC19.testPoint.Wika.dp3 GOC20.testPoint.Wika.dp3];
GO_EmcoDp1 = [GO01.testPoint.Emco.dp1 GO01C.testPoint.Wika.dp1 GO02C.testPoint.Emco.dp1 GO03C.testPoint.Emco.dp1 GO04C.testPoint.Emco.dp1 GO05.testPoint.Emco.dp1 GO05C.testPoint.Emco.dp1 GO06.testPoint.Emco.dp1 GO09.testPoint.Emco.dp1 GO17.testPoint.Emco.dp1 GO18.testPoint.Emco.dp1 GO19.testPoint.Emco.dp1 GO22.testPoint.Emco.dp1 GOC11.testPoint.Emco.dp1 GOC12.testPoint.Emco.dp1 GOC13.testPoint.Emco.dp1 GOC14.testPoint.Emco.dp1 GOC15.testPoint.Emco.dp1 GOC16.testPoint.Emco.dp1 GOC17.testPoint.Emco.dp1 GOC18.testPoint.Emco.dp1 GOC19.testPoint.Emco.dp1 GOC20.testPoint.Emco.dp1];

GO_EmcoDp2 = [GO01.testPoint.Emco.dp2 GO01C.testPoint.Wika.dp1 GO02C.testPoint.Emco.dp2 GO03C.testPoint.Emco.dp2 GO04C.testPoint.Emco.dp2 GO05.testPoint.Emco.dp2 GO05C.testPoint.Emco.dp2 GO06.testPoint.Emco.dp2 GO09.testPoint.Emco.dp2 GO17.testPoint.Emco.dp2 GO18.testPoint.Emco.dp2 GO19.testPoint.Emco.dp2 GO22.testPoint.Emco.dp2 GOC11.testPoint.Emco.dp2 GOC12.testPoint.Emco.dp2 GOC13.testPoint.Emco.dp2 GOC14.testPoint.Emco.dp2 GOC15.testPoint.Emco.dp2 GOC16.testPoint.Emco.dp2 GOC17.testPoint.Emco.dp2 GOC18.testPoint.Emco.dp2 GOC19.testPoint.Emco.dp2 GOC20.testPoint.Emco.dp2];
GO_Krohn3Rho = [GO01.testPoint.Krohne.rho GO01C.testPoint.Krohne.rho GO02C.testPoint.Krohne.rho GO03C.testPoint.Krohne.rho GO04C.testPoint.Krohne.rho GO05.testPoint.Krohne.rho GO05C.testPoint.Krohne.rho GO06.testPoint.Emco.dp2 GO09.testPoint.Krohne.rho GO17.testPoint.Krohne.rho GO18.testPoint.Krohne.rho GO19.testPoint.Krohne.rho GO22.testPoint.Krohne.rho GOC11.testPoint.Krohne.rho GOC12.testPoint.Krohne.rho GOC13.testPoint.Krohne.rho GOC14.testPoint.Krohne.rho GOC15.testPoint.Krohne.rho GOC16.testPoint.Krohne.rho GOC17.testPoint.Krohne.rho GOC18.testPoint.Krohne.rho GOC19.testPoint.Krohne.rho GOC20.testPoint.Krohne.rho];

GO_Krohn3Rho = [GO01.testPoint.Krohne.rho GO01C.testPoint.Krohne.rho GO02C.testPoint.Krohne.rho GO03C.testPoint.Krohne.rho GO04C.testPoint.Krohne.rho GO05.testPoint.Krohne.rho GO05C.testPoint.Krohne.rho GO06.testPoint.Emco.dp2 GO09.testPoint.Krohne.rho GO17.testPoint.Krohne.rho GO18.testPoint.Krohne.rho GO19.testPoint.Krohne.rho GO22.testPoint.Krohne.rho GOC11.testPoint.Krohne.rho GOC12.testPoint.Krohne.rho GOC13.testPoint.Krohne.rho GOC14.testPoint.Krohne.rho GOC15.testPoint.Krohne.rho GOC16.testPoint.Krohne.rho GOC17.testPoint.Krohne.rho GOC18.testPoint.Krohne.rho GOC19.testPoint.Krohne.rho GOC20.testPoint.Krohne.rho];

GO_4mStraight = [];
GO_Ti = [];
GO_To = [];


%Make lists of density measurements
GO_Gref_rho = [GO01.testPoint.gasRef.rho GO01C.testPoint.gasRef.rho GO02C.testPoint.gasRef.rho GO03C.testPoint.gasRef.rho GO04C.testPoint.gasRef.rho GO05.testPoint.gasRef.rho GO05C.testPoint.gasRef.rho GO06.testPoint.gasRef.rho GO09.testPoint.gasRef.rho GO17.testPoint.gasRef.rho GO18.testPoint.gasRef.rho GO19.testPoint.gasRef.rho GO22.testPoint.gasRef.rho GOC11.testPoint.gasRef.rho GOC12.testPoint.gasRef.rho GOC13.testPoint.gasRef.rho GOC14.testPoint.gasRef.rho GOC15.testPoint.gasRef.rho GOC16.testPoint.gasRef.rho GOC17.testPoint.gasRef.rho GOC18.testPoint.gasRef.rho GOC19.testPoint.gasRef.rho GOC20.testPoint.gasRef.rho];
GO_Oref_rho = [GO01.testPoint.oilRef.rho GO01C.testPoint.oilRef.rho GO02C.testPoint.oilRef.rho GO03C.testPoint.oilRef.rho GO04C.testPoint.oilRef.rho GO05.testPoint.oilRef.rho GO05C.testPoint.oilRef.rho GO06.testPoint.oilRef.rho GO09.testPoint.oilRef.rho GO17.testPoint.oilRef.rho GO18.testPoint.oilRef.rho GO19.testPoint.oilRef.rho GO22.testPoint.oilRef.rho GOC11.testPoint.oilRef.rho GOC12.testPoint.oilRef.rho GOC13.testPoint.oilRef.rho GOC14.testPoint.oilRef.rho GOC15.testPoint.oilRef.rho GOC16.testPoint.oilRef.rho GOC17.testPoint.oilRef.rho GOC18.testPoint.oilRef.rho GOC19.testPoint.oilRef.rho GOC20.testPoint.oilRef.rho];
GO_Wref_rho

%Make list of all data
dataset1_ae = [GO_ae1_rms zeros(length(GO_ae1_rms)) GO_ae3_rms GO_ae4_rms GO_Oref_Qv ];