clc;
clear all; 

% %Load dataset
G02 = load('G02.mat');
G03 = load('G03.mat');
G04 = load('G04.mat');
G05 = load('G05.mat');
G06 = load('G06.mat');
G07 = load('G07.mat');
G08 = load('G08.mat');
G09 = load('G09.mat');
G10 = load('G10.mat');
G11 = load('G11.mat');

%Choose samples
start = 7705601;
stop = 7707600;

%Samples
G02_ae1_data = G02.testPoint.data(1).vData.ch(1).data(start:stop);  
G03_ae1_data = G03.testPoint.data(1).vData.ch(1).data(start:stop);  
G04_ae1_data = G04.testPoint.data(1).vData.ch(1).data(start:stop);  
G05_ae1_data = G05.testPoint.data(1).vData.ch(1).data(start:stop);  
G06_ae1_data = G06.testPoint.data(1).vData.ch(1).data(start:stop);  
G07_ae1_data = G07.testPoint.data(1).vData.ch(1).data(start:stop);  
G08_ae1_data = G08.testPoint.data(1).vData.ch(1).data(start:stop);  
G09_ae1_data = G09.testPoint.data(1).vData.ch(1).data(start:stop);  
G10_ae1_data = G10.testPoint.data(1).vData.ch(1).data(start:stop);  
G11_ae1_data = G11.testPoint.data(1).vData.ch(1).data(start:stop);  
G02_ae3_data = G02.testPoint.data(1).vData.ch(3).data(start:stop);  
G03_ae3_data = G03.testPoint.data(1).vData.ch(3).data(start:stop);  
G04_ae3_data = G04.testPoint.data(1).vData.ch(3).data(start:stop);  
G05_ae3_data = G05.testPoint.data(1).vData.ch(3).data(start:stop);  
G06_ae3_data = G06.testPoint.data(1).vData.ch(3).data(start:stop);  
G07_ae3_data = G07.testPoint.data(1).vData.ch(3).data(start:stop);  
G08_ae3_data = G08.testPoint.data(1).vData.ch(3).data(start:stop);  
G09_ae3_data = G09.testPoint.data(1).vData.ch(3).data(start:stop);  
G10_ae3_data = G10.testPoint.data(1).vData.ch(3).data(start:stop);  
G11_ae3_data = G11.testPoint.data(1).vData.ch(3).data(start:stop);  
G02_ae4_data = G02.testPoint.data(1).vData.ch(4).data(start:stop);  
G03_ae4_data = G03.testPoint.data(1).vData.ch(4).data(start:stop);  
G04_ae4_data = G04.testPoint.data(1).vData.ch(4).data(start:stop);  
G05_ae4_data = G05.testPoint.data(1).vData.ch(4).data(start:stop);  
G06_ae4_data = G06.testPoint.data(1).vData.ch(4).data(start:stop);  
G07_ae4_data = G07.testPoint.data(1).vData.ch(4).data(start:stop);  
G08_ae4_data = G08.testPoint.data(1).vData.ch(4).data(start:stop);  
G09_ae4_data = G09.testPoint.data(1).vData.ch(4).data(start:stop);  
G10_ae4_data = G10.testPoint.data(1).vData.ch(4).data(start:stop);  
G11_ae4_data = G11.testPoint.data(1).vData.ch(4).data(start:stop);  

% %Calculate RMS
G02_ae1_rms = rms(G02_ae1_data);  
G03_ae1_rms = rms(G03_ae1_data);  
G04_ae1_rms = rms(G04_ae1_data);  
G05_ae1_rms = rms(G05_ae1_data);  
G06_ae1_rms = rms(G06_ae1_data);  
G07_ae1_rms = rms(G07_ae1_data);  
G08_ae1_rms = rms(G08_ae1_data);  
G09_ae1_rms = rms(G09_ae1_data);  
G10_ae1_rms = rms(G10_ae1_data);  
G11_ae1_rms = rms(G11_ae1_data);
G02_ae3_rms = rms(G02_ae3_data);  
G03_ae3_rms = rms(G03_ae3_data);  
G04_ae3_rms = rms(G04_ae3_data);  
G05_ae3_rms = rms(G05_ae3_data);  
G06_ae3_rms = rms(G06_ae3_data);  
G07_ae3_rms = rms(G07_ae3_data);  
G08_ae3_rms = rms(G08_ae3_data);  
G09_ae3_rms = rms(G09_ae3_data); 
G10_ae3_rms = rms(G10_ae3_data); 
G11_ae3_rms = rms(G11_ae3_data); 
G02_ae4_rms = rms(G02_ae4_data); 
G03_ae4_rms = rms(G03_ae4_data); 
G04_ae4_rms = rms(G04_ae4_data); 
G05_ae4_rms = rms(G05_ae4_data); 
G06_ae4_rms = rms(G06_ae4_data);  
G07_ae4_rms = rms(G07_ae4_data);  
G08_ae4_rms = rms(G08_ae4_data);   
G09_ae4_rms = rms(G09_ae4_data); 
G10_ae4_rms = rms(G10_ae4_data);  
G11_ae4_rms = rms(G11_ae4_data); 

%Make lists of acoustic measurements
G_ae1_rms = [G02_ae1_rms G03_ae1_rms G04_ae1_rms G05_ae1_rms G06_ae1_rms G07_ae1_rms G08_ae1_rms G09_ae1_rms G10_ae1_rms G11_ae1_rms];
G_ae3_rms = [G02_ae3_rms G03_ae3_rms G04_ae3_rms G05_ae3_rms G06_ae3_rms G07_ae3_rms G08_ae3_rms G09_ae3_rms G10_ae3_rms G11_ae3_rms];
G_ae4_rms = [G02_ae4_rms G03_ae4_rms G04_ae4_rms G05_ae4_rms G06_ae4_rms G07_ae4_rms G08_ae4_rms G09_ae4_rms G10_ae4_rms G11_ae4_rms];

%Make lists of flow measurements
G_Gref_Qv = [G02.testPoint.gasRef.q G03.testPoint.gasRef.q G04.testPoint.gasRef.q G05.testPoint.gasRef.q G06.testPoint.gasRef.q G07.testPoint.gasRef.q G08.testPoint.gasRef.q G09.testPoint.gasRef.q G10.testPoint.gasRef.q G11.testPoint.gasRef.q];

%Make lists of valve positions and pressure measurements
G_HIC = [G02.testPoint.HIC.pos G03.testPoint.HIC.pos G04.testPoint.HIC.pos G05.testPoint.HIC.pos G06.testPoint.HIC.pos G07.testPoint.HIC.pos G08.testPoint.HIC.pos G09.testPoint.HIC.pos G10.testPoint.HIC.pos G11.testPoint.HIC.pos];
G_Pi = [G02.testPoint.press.in G03.testPoint.press.in G04.testPoint.press.in G05.testPoint.press.in G06.testPoint.press.in G07.testPoint.press.in G08.testPoint.press.in G09.testPoint.press.in G10.testPoint.press.in G11.testPoint.press.in];
G_Po = [G02.testPoint.press.out G03.testPoint.press.out G04.testPoint.press.out G05.testPoint.press.out G06.testPoint.press.out G07.testPoint.press.out G08.testPoint.press.out G09.testPoint.press.out G10.testPoint.press.out G11.testPoint.press.out];
G_wikaDp1 = [G02.testPoint.Wika.dp1 G03.testPoint.Wika.dp1 G04.testPoint.Wika.dp1 G05.testPoint.Wika.dp1 G06.testPoint.Wika.dp1 G07.testPoint.Wika.dp1 G08.testPoint.Wika.dp1 G09.testPoint.Wika.dp1 G10.testPoint.Wika.dp1 G11.testPoint.Wika.dp1];
G_wikaDp2 = [G02.testPoint.Wika.dp2 G03.testPoint.Wika.dp1 G04.testPoint.Wika.dp2 G05.testPoint.Wika.dp2 G06.testPoint.Wika.dp2 G07.testPoint.Wika.dp2 G08.testPoint.Wika.dp2 G09.testPoint.Wika.dp2 G10.testPoint.Wika.dp2 G11.testPoint.Wika.dp2];
G_wikaDp3 = [G02.testPoint.Wika.dp3 G03.testPoint.Wika.dp1 G04.testPoint.Wika.dp3 G05.testPoint.Wika.dp3 G06.testPoint.Wika.dp3 G07.testPoint.Wika.dp3 G08.testPoint.Wika.dp3 G09.testPoint.Wika.dp3 G10.testPoint.Wika.dp3 G11.testPoint.Wika.dp3];
G_EmcoDp1 = [G02.testPoint.Emco.dp1 G03.testPoint.Wika.dp1 G04.testPoint.Emco.dp1 G05.testPoint.Emco.dp1 G06.testPoint.Emco.dp1 G07.testPoint.Emco.dp1 G08.testPoint.Emco.dp1 G09.testPoint.Emco.dp1 G10.testPoint.Emco.dp1 G11.testPoint.Emco.dp1];
G_EmcoDp2 = [G02.testPoint.Emco.dp2 G03.testPoint.Wika.dp1 G04.testPoint.Emco.dp2 G05.testPoint.Emco.dp2 G06.testPoint.Emco.dp2 G07.testPoint.Emco.dp2 G08.testPoint.Emco.dp2 G09.testPoint.Emco.dp2 G10.testPoint.Emco.dp2 G11.testPoint.Emco.dp2];