clc;
clear all; 

% %Load dataset
OC01 = load('OC01.mat');
OC02 = load('OC02.mat');
OC03 = load('OC03.mat');
OC04 = load('OC04.mat');
OC07 = load('OC07.mat');
OC08 = load('OC08.mat');
OC09 = load('OC09.mat');
OC10 = load('OC10.mat');
OC11 = load('OC11.mat');
OC12 = load('OC12.mat');
OC13 = load('OC13.mat');
OC14 = load('OC14.mat');
OC16 = load('OC16.mat');
OC17 = load('OC17.mat');
OC18 = load('OC18.mat');

%Choose samples
start = 7705601;
stop = 7707600;

%Samples
OC01_ae1_data = OC01.testPoint.data(1).vData.ch(1).data(start:stop);  
OC02_ae1_data = OC02.testPoint.data(1).vData.ch(1).data(start:stop);  
OC03_ae1_data = OC03.testPoint.data(1).vData.ch(1).data(start:stop);  
OC04_ae1_data = OC04.testPoint.data(1).vData.ch(1).data(start:stop);  
OC07_ae1_data = OC07.testPoint.data(1).vData.ch(1).data(start:stop);  
OC08_ae1_data = OC08.testPoint.data(1).vData.ch(1).data(start:stop);  
OC09_ae1_data = OC09.testPoint.data(1).vData.ch(1).data(start:stop);  
OC10_ae1_data = OC10.testPoint.data(1).vData.ch(1).data(start:stop);  
OC11_ae1_data = OC11.testPoint.data(1).vData.ch(1).data(start:stop);  
OC12_ae1_data = OC12.testPoint.data(1).vData.ch(1).data(start:stop);
OC13_ae1_data = OC13.testPoint.data(1).vData.ch(1).data(start:stop);
OC14_ae1_data = OC14.testPoint.data(1).vData.ch(1).data(start:stop);
OC16_ae1_data = OC16.testPoint.data(1).vData.ch(1).data(start:stop);
OC17_ae1_data = OC17.testPoint.data(1).vData.ch(1).data(start:stop);
OC18_ae1_data = OC18.testPoint.data(1).vData.ch(1).data(start:stop);
OC01_ae3_data = OC01.testPoint.data(1).vData.ch(3).data(start:stop);  
OC02_ae3_data = OC02.testPoint.data(1).vData.ch(3).data(start:stop);  
OC03_ae3_data = OC03.testPoint.data(1).vData.ch(3).data(start:stop);  
OC04_ae3_data = OC04.testPoint.data(1).vData.ch(3).data(start:stop);  
OC07_ae3_data = OC07.testPoint.data(1).vData.ch(3).data(start:stop);  
OC08_ae3_data = OC08.testPoint.data(1).vData.ch(3).data(start:stop);  
OC09_ae3_data = OC09.testPoint.data(1).vData.ch(3).data(start:stop);  
OC10_ae3_data = OC10.testPoint.data(1).vData.ch(3).data(start:stop);  
OC11_ae3_data = OC11.testPoint.data(1).vData.ch(3).data(start:stop);  
OC12_ae3_data = OC12.testPoint.data(1).vData.ch(3).data(start:stop);
OC13_ae3_data = OC13.testPoint.data(1).vData.ch(3).data(start:stop);
OC14_ae3_data = OC14.testPoint.data(1).vData.ch(3).data(start:stop);
OC16_ae3_data = OC16.testPoint.data(1).vData.ch(3).data(start:stop);
OC17_ae3_data = OC17.testPoint.data(1).vData.ch(3).data(start:stop);
OC18_ae3_data = OC18.testPoint.data(1).vData.ch(3).data(start:stop);
OC01_ae4_data = OC01.testPoint.data(1).vData.ch(4).data(start:stop);  
OC02_ae4_data = OC02.testPoint.data(1).vData.ch(4).data(start:stop);  
OC03_ae4_data = OC03.testPoint.data(1).vData.ch(4).data(start:stop);  
OC04_ae4_data = OC04.testPoint.data(1).vData.ch(4).data(start:stop);  
OC07_ae4_data = OC07.testPoint.data(1).vData.ch(4).data(start:stop);  
OC08_ae4_data = OC08.testPoint.data(1).vData.ch(4).data(start:stop);  
OC09_ae4_data = OC09.testPoint.data(1).vData.ch(4).data(start:stop);  
OC10_ae4_data = OC10.testPoint.data(1).vData.ch(4).data(start:stop);  
OC11_ae4_data = OC11.testPoint.data(1).vData.ch(4).data(start:stop);  
OC12_ae4_data = OC12.testPoint.data(1).vData.ch(4).data(start:stop);
OC13_ae4_data = OC13.testPoint.data(1).vData.ch(4).data(start:stop);
OC14_ae4_data = OC14.testPoint.data(1).vData.ch(4).data(start:stop);
OC16_ae4_data = OC16.testPoint.data(1).vData.ch(4).data(start:stop);
OC17_ae4_data = OC17.testPoint.data(1).vData.ch(4).data(start:stop);
OC18_ae4_data = OC18.testPoint.data(1).vData.ch(4).data(start:stop);

% %Calculate RMS
OC01_ae1_rms = rms(OC01_ae1_data);  
OC02_ae1_rms = rms(OC02_ae1_data);  
OC03_ae1_rms = rms(OC03_ae1_data);  
OC04_ae1_rms = rms(OC04_ae1_data);  
OC07_ae1_rms = rms(OC07_ae1_data);  
OC08_ae1_rms = rms(OC08_ae1_data);  
OC09_ae1_rms = rms(OC09_ae1_data);  
OC10_ae1_rms = rms(OC10_ae1_data);
OC11_ae1_rms = rms(OC11_ae1_data); 
OC12_ae1_rms = rms(OC12_ae1_data); 
OC13_ae1_rms = rms(OC13_ae1_data); 
OC14_ae1_rms = rms(OC14_ae1_data); 
OC16_ae1_rms = rms(OC16_ae1_data); 
OC17_ae1_rms = rms(OC17_ae1_data); 
OC18_ae1_rms = rms(OC18_ae1_data); 
OC01_ae3_rms = rms(OC01_ae3_data);  
OC02_ae3_rms = rms(OC02_ae3_data);  
OC03_ae3_rms = rms(OC03_ae3_data);  
OC04_ae3_rms = rms(OC04_ae3_data);  
OC07_ae3_rms = rms(OC07_ae3_data);  
OC08_ae3_rms = rms(OC08_ae3_data);  
OC09_ae3_rms = rms(OC09_ae3_data); 
OC10_ae3_rms = rms(OC10_ae3_data); 
OC11_ae3_rms = rms(OC11_ae3_data); 
OC12_ae3_rms = rms(OC12_ae3_data); 
OC13_ae3_rms = rms(OC13_ae3_data); 
OC14_ae3_rms = rms(OC14_ae3_data); 
OC16_ae3_rms = rms(OC16_ae3_data); 
OC17_ae3_rms = rms(OC17_ae3_data); 
OC18_ae3_rms = rms(OC18_ae3_data); 
OC01_ae4_rms = rms(OC01_ae4_data); 
OC02_ae4_rms = rms(OC02_ae4_data); 
OC03_ae4_rms = rms(OC03_ae4_data); 
OC04_ae4_rms = rms(OC04_ae4_data); 
OC07_ae4_rms = rms(OC07_ae4_data);  
OC08_ae4_rms = rms(OC08_ae4_data);   
OC09_ae4_rms = rms(OC09_ae4_data); 
OC10_ae4_rms = rms(OC10_ae4_data);  
OC11_ae4_rms = rms(OC11_ae4_data);
OC12_ae4_rms = rms(OC12_ae4_data); 
OC13_ae4_rms = rms(OC13_ae4_data); 
OC14_ae4_rms = rms(OC14_ae4_data); 
OC16_ae4_rms = rms(OC16_ae4_data); 
OC17_ae4_rms = rms(OC17_ae4_data); 
OC18_ae4_rms = rms(OC18_ae4_data); 

%Make lists of acoustic measurements
O_ae1_rms = [OC01_ae1_rms OC02_ae1_rms OC03_ae1_rms OC04_ae1_rms OC07_ae1_rms OC08_ae1_rms OC09_ae1_rms OC10_ae1_rms OC11_ae1_rms OC12_ae1_rms OC13_ae1_rms OC14_ae1_rms OC16_ae1_rms OC17_ae1_rms OC18_ae1_rms];
O_ae3_rms = [OC01_ae3_rms OC02_ae3_rms OC03_ae3_rms OC04_ae3_rms OC07_ae3_rms OC08_ae3_rms OC09_ae3_rms OC10_ae3_rms OC11_ae3_rms OC12_ae3_rms OC13_ae3_rms OC14_ae3_rms OC16_ae3_rms OC17_ae3_rms OC18_ae3_rms];
O_ae4_rms = [OC01_ae4_rms OC02_ae4_rms OC03_ae4_rms OC04_ae4_rms OC07_ae4_rms OC08_ae4_rms OC09_ae4_rms OC10_ae4_rms OC11_ae4_rms OC12_ae4_rms OC13_ae4_rms OC14_ae4_rms OC16_ae4_rms OC17_ae4_rms OC18_ae4_rms];

%Make lists of flow measurements
O_Oref_Qv = [OC01.testPoint.oilRef.q OC02.testPoint.oilRef.q OC03.testPoint.oilRef.q OC04.testPoint.oilRef.q OC07.testPoint.oilRef.q OC08.testPoint.oilRef.q OC09.testPoint.oilRef.q OC10.testPoint.oilRef.q OC11.testPoint.oilRef.q OC12.testPoint.oilRef.q OC13.testPoint.oilRef.q OC14.testPoint.oilRef.q OC16.testPoint.oilRef.q OC17.testPoint.oilRef.q OC18.testPoint.oilRef.q];

%Make lists of valve positions and pressure measurements
O_HIC = [OC01.testPoint.HIC.pos OC02.testPoint.HIC.pos OC03.testPoint.HIC.pos OC04.testPoint.HIC.pos OC07.testPoint.HIC.pos OC08.testPoint.HIC.pos OC09.testPoint.HIC.pos OC10.testPoint.HIC.pos OC11.testPoint.HIC.pos OC12.testPoint.HIC.pos OC13.testPoint.HIC.pos OC14.testPoint.HIC.pos OC16.testPoint.HIC.pos OC17.testPoint.HIC.pos OC18.testPoint.HIC.pos];
O_Pi = [OC01.testPoint.press.in OC02.testPoint.press.in OC03.testPoint.press.in OC04.testPoint.press.in OC07.testPoint.press.in OC08.testPoint.press.in OC09.testPoint.press.in OC10.testPoint.press.in OC11.testPoint.press.in OC12.testPoint.press.in OC13.testPoint.press.in OC14.testPoint.press.in OC16.testPoint.press.in OC17.testPoint.press.in OC18.testPoint.press.in];
O_Po = [OC01.testPoint.press.out OC02.testPoint.press.out OC03.testPoint.press.out OC04.testPoint.press.out OC07.testPoint.press.out OC08.testPoint.press.out OC09.testPoint.press.out OC10.testPoint.press.out OC11.testPoint.press.out OC12.testPoint.press.out OC13.testPoint.press.out OC14.testPoint.press.out OC16.testPoint.press.out OC17.testPoint.press.out OC18.testPoint.press.out];
O_wikaDp1 = [OC01.testPoint.Wika.dp1 OC02.testPoint.Wika.dp1 OC03.testPoint.Wika.dp1 OC04.testPoint.Wika.dp1 OC07.testPoint.Wika.dp1 OC08.testPoint.Wika.dp1 OC09.testPoint.Wika.dp1 OC10.testPoint.Wika.dp1 OC11.testPoint.Wika.dp1 OC12.testPoint.Wika.dp1 OC13.testPoint.Wika.dp1 OC14.testPoint.Wika.dp1 OC16.testPoint.Wika.dp1 OC17.testPoint.Wika.dp1 OC18.testPoint.Wika.dp1];
O_wikaDp2 = [OC01.testPoint.Wika.dp2 OC02.testPoint.Wika.dp1 OC03.testPoint.Wika.dp2 OC04.testPoint.Wika.dp2 OC07.testPoint.Wika.dp2 OC08.testPoint.Wika.dp2 OC09.testPoint.Wika.dp2 OC10.testPoint.Wika.dp2 OC11.testPoint.Wika.dp2 OC12.testPoint.Wika.dp2 OC13.testPoint.Wika.dp2 OC14.testPoint.Wika.dp2 OC16.testPoint.Wika.dp2 OC17.testPoint.Wika.dp2 OC18.testPoint.Wika.dp2];
O_wikaDp3 = [OC01.testPoint.Wika.dp3 OC02.testPoint.Wika.dp1 OC03.testPoint.Wika.dp3 OC04.testPoint.Wika.dp3 OC07.testPoint.Wika.dp3 OC08.testPoint.Wika.dp3 OC09.testPoint.Wika.dp3 OC10.testPoint.Wika.dp3 OC11.testPoint.Wika.dp3 OC12.testPoint.Wika.dp3 OC13.testPoint.Wika.dp3 OC14.testPoint.Wika.dp3 OC16.testPoint.Wika.dp3 OC17.testPoint.Wika.dp3 OC18.testPoint.Wika.dp3];
O_EmcoDp1 = [OC01.testPoint.Emco.dp1 OC02.testPoint.Wika.dp1 OC03.testPoint.Emco.dp1 OC04.testPoint.Emco.dp1 OC07.testPoint.Emco.dp1 OC08.testPoint.Emco.dp1 OC09.testPoint.Emco.dp1 OC10.testPoint.Emco.dp1 OC11.testPoint.Emco.dp1 OC12.testPoint.Emco.dp1 OC13.testPoint.Emco.dp1 OC14.testPoint.Emco.dp1 OC16.testPoint.Emco.dp1 OC17.testPoint.Emco.dp1 OC18.testPoint.Emco.dp1];
O_EmcoDp2 = [OC01.testPoint.Emco.dp2 OC02.testPoint.Wika.dp1 OC03.testPoint.Emco.dp2 OC04.testPoint.Emco.dp2 OC07.testPoint.Emco.dp2 OC08.testPoint.Emco.dp2 OC09.testPoint.Emco.dp2 OC10.testPoint.Emco.dp2 OC11.testPoint.Emco.dp2 OC12.testPoint.Emco.dp2 OC13.testPoint.Emco.dp2 OC14.testPoint.Emco.dp2 OC16.testPoint.Emco.dp2 OC17.testPoint.Emco.dp2 OC18.testPoint.Emco.dp2];